VERSION 5.00
Begin VB.Form TableView 
   Caption         =   "Data Table"
   ClientHeight    =   3390
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   2775
   LinkTopic       =   "Form1"
   ScaleHeight     =   3390
   ScaleWidth      =   2775
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton CloseTable 
      Caption         =   "Close Table"
      Height          =   495
      Left            =   1440
      TabIndex        =   10
      Top             =   120
      Width           =   1215
   End
   Begin VB.CommandButton Close 
      Caption         =   "Close"
      Height          =   495
      Left            =   120
      TabIndex        =   9
      Top             =   2760
      Width           =   2535
   End
   Begin VB.TextBox yValue 
      Height          =   495
      Left            =   1680
      TabIndex        =   8
      Text            =   "200"
      Top             =   2040
      Width           =   855
   End
   Begin VB.TextBox xValue 
      Height          =   495
      Left            =   480
      TabIndex        =   6
      Text            =   "200"
      Top             =   2040
      Width           =   855
   End
   Begin VB.CommandButton gvLocation 
      Caption         =   "Set Location"
      Height          =   495
      Left            =   1440
      TabIndex        =   4
      Top             =   1440
      Width           =   1095
   End
   Begin VB.CommandButton gvSize 
      Caption         =   "SetSize"
      Height          =   495
      Left            =   240
      TabIndex        =   3
      Top             =   1440
      Width           =   1095
   End
   Begin VB.CommandButton gvMinimize 
      Caption         =   "Minimize Window"
      Height          =   495
      Left            =   1440
      TabIndex        =   2
      Top             =   720
      Width           =   1215
   End
   Begin VB.CommandButton gvMaximize 
      Caption         =   "Maximize Window"
      Height          =   495
      Left            =   120
      TabIndex        =   1
      Top             =   720
      Width           =   1215
   End
   Begin VB.CommandButton gvOpen 
      Caption         =   "Open Table"
      Height          =   495
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   1215
   End
   Begin VB.Label Y 
      Caption         =   "Y:"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   9.75
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   255
      Left            =   1440
      TabIndex        =   7
      Top             =   2040
      Width           =   135
   End
   Begin VB.Label X 
      Caption         =   "X:"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   9.75
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   255
      Left            =   240
      TabIndex        =   5
      Top             =   2040
      Width           =   135
   End
End
Attribute VB_Name = "TableView"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Dim GridView As Object

Private Sub CloseTable_Click()

    If Not (GridView Is Nothing) Then
        GridView.Close
    Else
        MsgBox ("You cannot close something that is not yet open")
    End If

End Sub

Private Sub Form_Load()

    Set GridView = Nothing
    
End Sub

Private Sub gvMaximize_Click()

    If Not (GridView Is Nothing) Then
        GridView.Maximize
    Else
        MsgBox ("No Data Table to Maximize")
    End If

End Sub

Private Sub gvMinimize_Click()

    If Not (GridView Is Nothing) Then
        GridView.Minimize
    Else
        MsgBox ("No Data Table to Minimize")
    End If

End Sub

Private Sub gvOpen_Click()
    Dim Doc As Object
    Set Doc = NewVBTools.Viewer.ActiveDocument
    If Doc Is Nothing Then
        MsgBox ("The viewer does not have an active document.")
        Exit Sub
    End If
    
    Set GridView = Doc.GetTableView
    If GridView Is Nothing Then
        MsgBox ("Unable to open Data Table")
    End If

End Sub

Private Sub gvSize_Click()

    If Not (GridView Is Nothing) Then
        Call GridView.SetSize(Int(xValue.Text), Int(yValue.Text))
    Else
        MsgBox ("Data Table is not yet open")
    End If

End Sub

Private Sub gvLocation_Click()

    If Not (GridView Is Nothing) Then
        Call GridView.SetLocation(Int(xValue.Text), Int(yValue.Text))
    Else
        MsgBox ("Data Table is not yet open")
    End If

End Sub

Private Sub Close_Click()

    TableView.Visible = False
    
End Sub

