// Machine generated IDispatch wrapper class(es) created with ClassWizard
/////////////////////////////////////////////////////////////////////////////
// IViewer wrapper class

class IViewer : public COleDispatchDriver
{
public:
	IViewer() {}		// Calls COleDispatchDriver default constructor
	IViewer(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	IViewer(const IViewer& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:

// Operations
public:
	long GetVisible();
	void SetVisible(long nNewValue);
	long GetIconic();
	void SetIconic(long nNewValue);
	LPDISPATCH GetDocuments();
	LPDISPATCH GetActiveDocument();
	void SetDisplayStatusBar(long nNewValue);
	void SetDisplayBuilderBar(long nNewValue);
	void SetDisplayToolBar(long nNewValue);
	void SetDisplayToolPalette(long nNewValue);
	void SetDisplayAnimationBar(long nNewValue);
	void SetDisplayFeatureBar(long nNewValue);
	void Quit();
	void GetSize(short* cx, short* cy);
	long SetSize(short cx, short cy);
	void GetLocation(short* cx, short* cy);
	long SetLocation(short cx, short cy);
	void Undo();
	void Redo();
	LPDISPATCH New(LPCTSTR title);
	void TileHorizontal();
	void TileVertical();
	void Cascade();
	void DisplayMessageBox(LPCTSTR message);
	void DisplayHelpText(LPCTSTR text);
	void DisplayStatusText(LPCTSTR text);
};
/////////////////////////////////////////////////////////////////////////////
// IDocEnum wrapper class

class IDocEnum : public COleDispatchDriver
{
public:
	IDocEnum() {}		// Calls COleDispatchDriver default constructor
	IDocEnum(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	IDocEnum(const IDocEnum& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:

// Operations
public:
	LPDISPATCH GetApplication();
	LPDISPATCH GetParent();
	long GetCount();
	LPDISPATCH GetDocument(LPCTSTR name);
	LPDISPATCH Item(short index);
	LPDISPATCH Add();
	LPDISPATCH Open(LPCTSTR path);
	void SaveAll();
	void CloseActiveDocument(long prompt);
};
/////////////////////////////////////////////////////////////////////////////
// IDocument wrapper class

class IDocument : public COleDispatchDriver
{
public:
	IDocument() {}		// Calls COleDispatchDriver default constructor
	IDocument(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	IDocument(const IDocument& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:

// Operations
public:
	LPDISPATCH GetApplication();
	LPDISPATCH GetParent();
	long GetNumberOfObjects(LPCTSTR type);
	long Open(LPCTSTR filePath);
	void Save();
	void SaveAs(LPCTSTR path, LPCTSTR type);
	void Close(long prompt);
	CString GetName();
	void SetName(LPCTSTR name);
	void Activate();
	CString DoCommand(LPCTSTR command);
	LPDISPATCH Get3DView();
	LPDISPATCH GetHierarchyView();
	LPDISPATCH GetTableView();
	void Cut();
	void Copy();
	void Paste();
};
/////////////////////////////////////////////////////////////////////////////
// IGLView wrapper class

class IGLView : public COleDispatchDriver
{
public:
	IGLView() {}		// Calls COleDispatchDriver default constructor
	IGLView(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	IGLView(const IGLView& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:

// Operations
public:
	LPDISPATCH GetApplication();
	LPDISPATCH GetParent();
	void SetSize(short cx, short cy);
	void SetLocation(short cx, short cy);
	void PrintView();
	void Close();
	void Maximize();
	void Minimize();
};
/////////////////////////////////////////////////////////////////////////////
// ITreeView wrapper class

class ITreeView : public COleDispatchDriver
{
public:
	ITreeView() {}		// Calls COleDispatchDriver default constructor
	ITreeView(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	ITreeView(const ITreeView& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:

// Operations
public:
	LPDISPATCH GetApplication();
	LPDISPATCH GetParent();
	void SetSize(short cx, short cy);
	void SetLocation(short cx, short cy);
	void Close();
	void Maximize();
	void Minimize();
};
/////////////////////////////////////////////////////////////////////////////
// IGridView wrapper class

class IGridView : public COleDispatchDriver
{
public:
	IGridView() {}		// Calls COleDispatchDriver default constructor
	IGridView(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	IGridView(const IGridView& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:

// Operations
public:
	LPDISPATCH GetApplication();
	LPDISPATCH GetParent();
	void SetSize(short cx, short cy);
	void SetLocation(short cx, short cy);
	void Close();
	void Maximize();
	void Minimize();
};
